<?php
/**
 *     Socrates Premium Theme for Wordpress
 *      (c) 2012 Handy Investments LLC
 *         http://www.socratestheme.com
 *               Version 3.04
 *
 * Template Name: Portfolio
 *
 * A custom page template for a portfolio
 *
**/

get_header(); ?>


<div id="im-mainContent" class="im-mainContent fullwidth">


<!-- check if category has been entered and display this if not -->
<?php if (! get_post_meta($post->ID, 'pcat', true)) : ?>
<div class="masthead">
   <h1 class="portfolioh1"><?php _e('Please use the custom field of "pcat" and type in the category slug for the items you would like this page to display. See an example in the image below.', 'lang'); ?></h1>
   <p style="text-align: center"><img src="<?php bloginfo('template_directory'); ?>/images/help/pcat-help.png" /></p>
   <p><em><?php _e('This only works for one category.', 'lang'); ?></em></p>
 </div>
<?php endif; ?>

<h1 class="portfolioh1"><?php the_title(); ?></h1>


<ul id="portfolio">
<!-- Run loop to get all posts from desired category input through custom field -->
<?php

if(get_post_meta($post->ID, 'pcat', true)) :

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

    $args=array(
	'showposts' => 6,
    'paged' => $paged,	
    'category_name' => get_post_meta($post->ID, 'pcat', true)
);
	$temp = $wp_query;
	$wp_query = null;
    $wp_query = new WP_Query($args);
	$count = 1;
    if ( $wp_query->have_posts() ) { while ( $wp_query->have_posts() ) : $wp_query->the_post();
?>	
<?php
	$thumb = get_post_thumbnail_id(); 
	$postimage = vt_resize($thumb, '', 282, 162, true );
?>
<li class="box column-<?php echo $count; ?> <?php if($count  % 3 == 0) echo 'last' ?>">
<?php $key="video"; if(get_post_meta($post->ID, $key, true)): ?> 
	<a class="gallery-zoom-video" rel="prettyPhoto[pp_gal]" href="<?php echo get_post_meta($post->ID, $key, true); ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" /><span></span></a>

<?php else : ?>

	<a class="gallery-zoom" rel="prettyPhoto[pp_gal]" href="<?php $thumbnail_id=get_the_post_thumbnail($post->ID); preg_match ('/src="(.*)" class/',$thumbnail_id,$link); echo $link[1]; ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" title="<?php the_title(); ?>" /><span></span></a> 
    <?php endif; ?>   
    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
    <?php digi_excerpt('digi_excerptlength_three', 'digi_excerptmore'); ?>
    <a href="<?php the_permalink(); ?>" class="more-link"><span>Read More</span></a>
</li>
<?php if($count  % 3 == 0) echo '<div class="clear-fix"></div>' ?>
<?php $count++;  ?>
<?php 
endwhile;  } endif;
?>
</ul>

<?php if (function_exists("pagination")) { pagination($additional_loop->max_num_pages); } //page navigation ?>

<?php 
$wp_query = null;
$wp_query = $temp;
wp_reset_query(); 
?>

</div>

<div class="line"></div>

<?php get_footer(); ?>