<?php 

/**

 *     Socrates Premium Theme for Wordpress

 *      (c) 2012 Handy Investments LLC

 *         http://www.socratestheme.com

 *               Version 3.04

 *

 *	@File fullpage.php

Template Name: No Sidebars

 */

get_header();

$topAd = get_option("socratesOptions");

$custom_fields = get_post_custom($post->ID);

if($custom_fields['_mcf_pageadenabledfull'][0]) {

    include "topAd.php";

}

// see if we are supposed to use h1 or h2 tags for the title

// by default it should be h2

$titleTag = ($topAd['useh1page'] == 'on')?'h1':'h2';

?>         

       

<div id="im-mainContent" class="im-mainContent" style="width:93%; border-right:none; border-left:none; position:relative; float:left; left:30px; top:15px;">

	<div class="<?php post_class() ?>" id="post-<?php the_ID(); ?>">

	<?php if (have_posts()) : ?>

	<?php while (have_posts()) : the_post(); ?>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">

			<<?php echo $titleTag; ?>><?php the_title(); ?></<?php echo $titleTag; ?>>

			

			<?php

			// see if we want to display the author

			if ($topAd['authonpage'] == 'on'){

				?><div class="postAuthor">By <?php the_author_posts_link(); ?> on <?php the_time('l, F jS, Y') ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></div><?php

			}

			?>

			<div class="entry"><?php the_content('Read the rest of this entry &raquo;'); ?></div>

		</div>



		<div id="commentsFrame"><?php comments_template() ?></div>

	<?php endwhile; ?>

        

	<div class="navigation">

		<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>

		<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>

	</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>

		<p class="center">Sorry, but you are looking for something that isn't here.</p>

		<?php get_search_form(); ?><br />

		<?php $args = array(

		'smallest'  => 8, 

		'largest'   => 22,

		'unit'      => 'pt', 

		'number'    => 45,  

		'format'    => 'flat',

		'separator' => ', ',

		'orderby'   => 'name', 

		'order'     => 'ASC',

		'link'      => 'view', 

		'taxonomy'  => 'post_tag', 

		'echo'      => true ); ?>

		<?php wp_tag_cloud( $args ); ?>

	<?php endif; ?>

	</div><!-- /posts -->

</div><!-- /im-mainContent -->

<?php $custom_fields = get_post_custom();

if(!(is_page_template('squeezepage.php') and !$custom_fields['_mcf_squeezeheader-on'][0]) and !(is_page_template('salespage.php') and !$custom_fields['_mcf_salesheader-on'][0]) and !(is_page_template('fullpage.php') and !$custom_fields['_mcf_fullpagehead'][0])) { ?>

<div class="line"></div>

<?php } ?>

<?php get_footer(); ?>