<?php
/**
 *     Socrates Premium Theme for Wordpress
 *      (c) 2012 Handy Investments LLC
 *         http://www.socratestheme.com
 *               Version 3.04
 *
 *	@File index.php
 */
get_header();
include "topAd.php";
//include "sidebar.php";
//include "sidebar2.php";
$inpost1counter = 0;
$inpost2counter = 0;
$layout = get_option("layoutOptions");
if($layout['sidebar'] == 'styleBothSides.css') {
	include "sidebar.php";
}
$topAd = get_option("socratesOptions");
?>         
       
<div id="im-mainContent" class="im-mainContent">

	<div id="post-" class="post">
	<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">

<?php
// if this is a page, then we might have to use h1 tags for the title instead of the default h2 tags
$titleTag = 'h2';
if (is_page()){
	$titleTag = ($topAd['useh1page'] == 'on')?'h1':'h2';
}
?>

			<<?php echo $titleTag; ?> class="entry-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></<?php echo $titleTag; ?>>
<?php 
$custom_fields = get_post_custom($post->ID);
if($topAd['authonpage'] == 'on' ) { ?>
			<div class="postAuthor">By <?php the_author_posts_link(); ?> on <?php the_time('l, F jS, Y') ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></div>
<?php } ?>

<?php 
    $custom_fields = get_post_custom($post->ID);
    if($topAd['disableFeatImg'] == 'on' ) : ?>
<?php if (has_post_thumbnail()) : // If the post has a Featured Image ?>
	<?php
    $thumb = get_post_thumbnail_id(); 
    $postimage = vt_resize($thumb, '', 160, 160, true );
    ?>
    <a class="featured-image" href="<?php the_permalink(); ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" alt="<?php the_title(); ?>" /></a>
    <?php endif; ?>
    <?php endif; ?>
                 
			<div class="entry">
<?php
$topAd = get_option("socratesOptions");
                 if(($topAd['inpostad1'] != '' && !is_page() && $inpost1counter<$topAd['inpostadmaxrepeat']) && !$custom_fields['_mcf_postDisableInPostAd'][0]) {
                    if ($topAd['inpostposition'] != 'top'){
                 		echo '<div id="socratesinpostad" style="float:'.$topAd['inpostposition'].'; display:block; padding:5px; margin:0;">'.stripslashes($topAd['inpostad1']).'</div>';
                    } else {
                 		echo '<div id="socratesinpostad" style="display:block; padding:5px; margin:0;">'.stripslashes($topAd['inpostad1']).'</div><br />';
                    }
					$inpost1counter++;
                 }
                 ?>
                 
                        	<?php
                        	$custom_fields = get_post_custom($post->ID);
	                    	// do we need to display custom text for the read more link?
	                    	$readMoreText = ($custom_fields['_mcf_postcustomreadmore'][0] != '')?$custom_fields['_mcf_postcustomreadmore'][0]:'Read More...';
	                    	?>
<?php the_content($readMoreText); ?>

			<div class="entry-utility postmetadata">
				<?php if ( count( get_the_category() ) ) : ?>
					<span class="cat-links">
						<?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'socrates' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
					</span>
					<span class="meta-sep">|</span>
				<?php endif; ?>
				<?php
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
				?>
					<span class="tag-links">
						<?php printf( __( '<span class="%1$s">Tags</span> %2$s', 'socrates' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
					</span>
					
				<?php endif; ?>
				<?php 
$custom_fields = get_post_custom($post->ID);
if($topAd['authonpage'] == 'on' ) { ?><span class="meta-sep">|</span>
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'socrates' ), __( '1 Comment', 'socrates' ), __( '% Comments', 'socrates' ) ); ?></span><?php } ?>
				<?php edit_post_link( __( 'Edit', 'socrates' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
			</div><!-- .entry-utility -->
</div>
		</div>
                <?php
if(($topAd['inpostad2'] != '' and !is_page() and $inpost2counter<$topAd['inpostad2maxrepeat']) && !$custom_fields['_mcf_postDisableInPostAd'][0]) {
                     echo '<div id="socratesinpostadbottom" style="clear: both; display: block;">'.stripslashes($topAd['inpostad2']).'</div><br />';
					$inpost2counter++;
                 }
?>
		<?php if(is_single()) : ?><div id="commentsFrame"><?php comments_template() ?></div><?php endif; ?>
        <?php if(is_page()) : ?><div id="commentsFrame"><?php comments_template() ?></div><?php endif; ?>
        
	<?php endwhile; ?>
        
	<?php if (function_exists("pagination")) { pagination($additional_loop->max_num_pages); } //page navigation ?>
    
	<?php else : ?>
		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php get_search_form(); ?><br />
		<?php $args = array(
		'smallest'  => 8, 
		'largest'   => 22,
		'unit'      => 'pt', 
		'number'    => 45,  
		'format'    => 'flat',
		'separator' => ', ',
		'orderby'   => 'name', 
		'order'     => 'ASC',
		'link'      => 'view', 
		'taxonomy'  => 'post_tag', 
		'echo'      => true ); ?>
		<?php wp_tag_cloud( $args ); ?>
	<?php endif; ?>
	</div><!-- /posts -->
</div><!-- /im-mainContent -->

<?php
if($layout['sidebar'] != 'styleBothSides.css' || $layout['sidebar'] == 'styleDoubleRight.css') {
	if ($layout['sidebar'] != 'styleNoSides.css'){
		include "sidebar.php";
	}
}
if ($layout['sidebar'] != 'styleNoSides.css'){
	include "sidebar2.php";
}
?>
        
<div class="line"></div>


<?php get_footer(); ?>