<?php
// [framedbox]
function framedbox_shortcode( $atts, $content = null ) {
return '<div class="framed-box">'. do_shortcode($content) .'</div>';
}
add_shortcode('framedbox', 'framedbox_shortcode');

// [fbox_title]
function fbox_title_shortcode( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'color' => 'fire'
	), $atts));	
return '<div class="fbox-title tc tshadow '.$color.'">'. do_shortcode($content) .'</div>';
}
add_shortcode('fbox_title', 'fbox_title_shortcode');

function fbox_content_shortcode( $atts, $content = null ) {
return '<div class="framed-box-content">'. do_shortcode($content) .'</div>';
}
add_shortcode('fbox_content', 'fbox_content_shortcode');

// Image Frames
function framesmall( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));	
	return '<img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=199&h=120&q=100" alt="" class="frame-small '.$align.'"/>';
}

add_shortcode('frame_small', 'framesmall');

function framemedium( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));	
	return '<img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=282&h=162&q=100" alt="" class="frame-medium '.$align.'"/>';
}

add_shortcode('frame_medium', 'framemedium');

function framelarge( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));	
	return '<img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=449&h=240&q=100" alt="" class="frame-large '.$align.'"/>';
}

add_shortcode('frame_large', 'framelarge');

function framexlarge( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));	
	return '<img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=586&h=236&q=100" alt="" class="frame-xlarge '.$align.'"/>';
}

add_shortcode('frame_xlarge', 'framexlarge');

function framefull( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));	
	return '<img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=940&h=347&q=100" alt="" class="frame-full '.$align.'"/>';
}

add_shortcode('frame_full', 'framefull');

// Lightbox Image Frames
function lightframesmall( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => '',						 
		'icon' => '',
		'link' => ''
	), $atts));	
	return '<a class="lightframe-small '.$icon.'" rel="prettyPhoto" href="'.$link.'"><img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=199&h=120&q=100" alt="" class="'.$align.'"/><span></span></a>';
}
add_shortcode('lightframe_small', 'lightframesmall');

function lightframemedium( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => '',						 
		'icon' => '',
		'link' => ''
	), $atts));	
	return '<a class="lightframe-medium '.$icon.'" rel="prettyPhoto" href="'.$link.'"><img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=282&h=162&q=100" alt="" class="'.$align.'"/><span></span></a>';
}
add_shortcode('lightframe_medium', 'lightframemedium');

function lightframelarge( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'align' => '',						 
		'icon' => '',
		'link' => ''
	), $atts));	
	return '<a class="lightframe-large '.$icon.'" rel="prettyPhoto" href="'.$link.'"><img src="'.get_bloginfo('template_directory').'/timthumb.php?src='.$content.'&w=449&h=240&q=100" alt="" class="'.$align.'"/><span></span></a>';
}
add_shortcode('lightframe_large', 'lightframelarge');
