<?php
/**
 *     Socrates Premium Theme for Wordpress
 *      (c) 2012 Handy Investments LLC
 *         http://www.socratestheme.com
 *               Version 3.04
 *
 *	@File index.php
 *  Template Name: Magazine 1
 */
get_header();
include "topAd.php";
$inpost1counter = 0;
$inpost2counter = 0;
$topAd = get_option("socratesOptions");
?>         
       
<div id="im-mainContent" class="im-mainContent slide-main">

<?php 
//include the slider
include('slider/slider.php'); 
?>  

<div class="post">
    
<?php
if(is_front_page()){
	$paged = (get_query_var('page')) ? get_query_var('page') : 1;
}else{
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
	$temp = $wp_query;
	$wp_query= null;
	$wp_query = new WP_Query();
	$wp_query->query('posts_per_page=5&paged=' . $paged);
?>
	
<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
    
<div <?php post_class() ?> id="post-<?php the_ID(); ?>">

<?php if (has_post_thumbnail()) : // If the post has a Featured Image ?>
	<?php
    $thumb = get_post_thumbnail_id(); 
    $postimage = vt_resize($thumb, '', 160, 160, true );
    ?>
    <a class="featured-image" href="<?php the_permalink(); ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" alt="<?php the_title(); ?>" /></a>
    <?php endif; ?>
                 
<div class="entry">

    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
    <?php 
    $custom_fields = get_post_custom($post->ID);
    if($topAd['authonpage'] == 'on' ) { ?>
                <div class="postAuthor">By <?php the_author_posts_link(); ?> on <?php the_time('l, F jS, Y') ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>
                </div>
    <?php } ?>
                        	<?php
                        	$custom_fields = get_post_custom($post->ID);
	                    	// do we need to display custom text for the read more link?
	                    	$readMoreText = ($custom_fields['_mcf_postcustomreadmore'][0] != '')?$custom_fields['_mcf_postcustomreadmore'][0]:'Read More...';
	                    	?>
                            
                <?php global $more; $more = FALSE; //required for more link on pages ?>
				<?php the_content($readMoreText); ?>

<div class="entry-utility postmetadata">
<?php if ( count( get_the_category() ) ) : ?>
<span class="cat-links"><?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'socrates' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
					</span><span class="meta-sep">|</span>
				<?php endif; ?>
				<?php
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
				?>
					<span class="tag-links">
						<?php printf( __( '<span class="%1$s">Tags</span> %2$s', 'socrates' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
					</span>
<?php endif; ?>
</div>

</div>
</div>
        
	<?php endwhile; //while ($my_query) ?>
	
	
	<?php if (function_exists("pagination")) { pagination($additional_loop->max_num_pages); } //page navigation ?>
    
    <?php //$wp_query = null; $wp_query = $temp;
  
 //   wp_reset_query();
  
    ?>
    
	</div><!-- /posts -->
</div><!-- /im-mainContent -->

<?php include('sidebar.php'); ?>
        
<div class="line"></div>


<?php get_footer(); ?>