<?php
/**
 *     Socrates Premium Theme for Wordpress
 *      (c) 2012 Handy Investments LLC
 *         http://www.socratestheme.com
 *               Version 3.04
 *
 *	@File index.php
 *  Template Name: Magazine 2
 */
get_header();
include "topAd.php";
$topAd = get_option("socratesOptions");
?>         
       
<div id="im-mainContent" class="im-mainContent slide-main">

<?php 
//include the slider
include('slider/slider.php'); 
?>  

<div class="post">

<div id="col" class="col-left">
<h3 class="item-head">Recent Articles</h3>   
<?php
	$temp = $wp_query;
	$wp_query= null;
	$wp_query = new WP_Query();
	$wp_query->query('posts_per_page=8');
?>
<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
    
<div <?php post_class() ?> id="post-<?php the_ID(); ?>">

<?php if (has_post_thumbnail()) : // If the post has a Featured Image ?>
	<?php
    $thumb = get_post_thumbnail_id(); 
    $postimage = vt_resize($thumb, '', 55, 55, true );
    ?>
    <a class="featured-image" href="<?php the_permalink(); ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" alt="<?php the_title(); ?>" /></a>
    <?php endif; ?>
                 
<div class="entry">

    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
    <?php 
    $custom_fields = get_post_custom($post->ID);
    if($topAd['authonpage'] == 'on' ) { ?>
                <div class="postAuthor"><?php the_time('F j, Y'); ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>
                </div>
    <?php } ?>

</div>
</div>
        
	<?php endwhile; wp_reset_query();//while ($my_query) ?>
    <?php $wp_query = null; $wp_query = $temp;?>
    </div><!-- /col-left -->
    
<div id="col" class="col-right">
<h3 class="item-head">Featured Articles</h3>   
<?php
	$temp = $wp_query;
	$wp_query= null;
	$wp_query = new WP_Query();
	$catidy=get_cat_ID('featured');
	$wp_query->query('posts_per_page=4&cat='.$catidy);
?>
<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
    
<div <?php post_class() ?> id="post-<?php the_ID(); ?>">

<?php if (has_post_thumbnail()) : // If the post has a Featured Image ?>
	<?php
    $thumb = get_post_thumbnail_id(); 
    $postimage = vt_resize($thumb, '', 287, 90, true );
    ?>
    <a class="featured-image" href="<?php the_permalink(); ?>"><img src="<?php echo $postimage[url]; ?>" width="<?php echo $postimage[width]; ?>" height="<?php echo $postimage[height]; ?>" alt="<?php the_title(); ?>" /></a>
    <?php endif; ?>
                 
<div class="entry">

    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
    <?php 
    $custom_fields = get_post_custom($post->ID);
    if($topAd['authonpage'] == 'on' ) { ?>
                <div class="postAuthor"><?php the_time('F j, Y'); ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>
                </div>
    <?php } ?>

</div>
</div>
        
	<?php endwhile; wp_reset_query();//while ($my_query) ?>
    <?php $wp_query = null; $wp_query = $temp;?>
    </div><!-- /col -->
        
	</div><!-- /posts -->
</div><!-- /im-mainContent -->

<?php include('sidebar.php'); ?>
        
<div class="line"></div>


<?php get_footer(); ?>